diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
index a1a27b2c..fd53f743 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
@@ -1,26 +1,28 @@
 define([
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'underscore.string', 'sources/pgadmin', 'pgadmin.browser', 'backform', 'pgadmin.alertifyjs',
-  'pgadmin.browser.collection', 'pgadmin.browser.table.partition.utils'
+  'underscore.string', 'sources/pgadmin', 'pgadmin.browser',
+  'pgadmin.alertifyjs', 'pgadmin.backform', 'pgadmin.backgrid',
+  'pgadmin.browser.collection', 'pgadmin.browser.table.partition.utils',
 ],
-function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
+function(
+  gettext, url_for, $, _, S, pgAdmin, pgBrowser, Alertify, Backform, Backgrid
+) {
 
   if (!pgBrowser.Nodes['coll-partition']) {
-    var databases = pgAdmin.Browser.Nodes['coll-partition'] =
+    pgAdmin.Browser.Nodes['coll-partition'] =
       pgAdmin.Browser.Collection.extend({
         node: 'partition',
         label: gettext('Partitions'),
         getTreeNodeHierarchy: pgBrowser.tableChildTreeNodeHierarchy,
         type: 'coll-partition',
         columns: [
-          'name', 'schema', 'partition_value', 'is_partitioned', 'description'
-        ]
+          'name', 'schema', 'partition_value', 'is_partitioned', 'description',
+        ],
       });
-  };
+  }
 
   if (!pgBrowser.Nodes['partition']) {
     pgAdmin.Browser.Nodes['partition'] = pgBrowser.Node.extend({
-      getTreeNodeHierarchy: pgBrowser.tableChildTreeNodeHierarchy,
       parent_type: 'table',
       collection_type: 'coll-partition',
       type: 'partition',
@@ -29,8 +31,8 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
       hasDepends: true,
       hasStatistics: true,
       statsPrettifyFields: ['Size', 'Indexes size', 'Table size',
-                            'Toast table size', 'Tuple length',
-                            'Dead tuple length', 'Free space'],
+        'Toast table size', 'Tuple length',
+        'Dead tuple length', 'Free space'],
       sqlAlterHelp: 'sql-altertable.html',
       sqlCreateHelp: 'sql-createtable.html',
       dialogHelp: url_for('help.static', {'filename': 'table_dialog.html'}),
@@ -40,7 +42,7 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
       Init: function() {
         /* Avoid mulitple registration of menus */
         if (this.initialized)
-            return;
+          return;
 
         this.initialized = true;
 
@@ -48,40 +50,40 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
           name: 'truncate_table', node: 'partition', module: this,
           applies: ['object', 'context'], callback: 'truncate_table',
           category: 'Truncate', priority: 3, label: gettext('Truncate'),
-          icon: 'fa fa-eraser', enable : 'canCreate'
+          icon: 'fa fa-eraser', enable : 'canCreate',
         },{
           name: 'truncate_table_cascade', node: 'partition', module: this,
           applies: ['object', 'context'], callback: 'truncate_table_cascade',
           category: 'Truncate', priority: 3, label: gettext('Truncate Cascade'),
-          icon: 'fa fa-eraser', enable : 'canCreate'
+          icon: 'fa fa-eraser', enable : 'canCreate',
         },{
           // To enable/disable all triggers for the table
           name: 'enable_all_triggers', node: 'partition', module: this,
           applies: ['object', 'context'], callback: 'enable_triggers_on_table',
           category: 'Trigger(s)', priority: 4, label: gettext('Enable All'),
-          icon: 'fa fa-check', enable : 'canCreate_with_trigger_enable'
+          icon: 'fa fa-check', enable : 'canCreate_with_trigger_enable',
         },{
           name: 'disable_all_triggers', node: 'partition', module: this,
           applies: ['object', 'context'], callback: 'disable_triggers_on_table',
           category: 'Trigger(s)', priority: 4, label: gettext('Disable All'),
-          icon: 'fa fa-times', enable : 'canCreate_with_trigger_disable'
+          icon: 'fa fa-times', enable : 'canCreate_with_trigger_disable',
         },{
           name: 'reset_table_stats', node: 'partition', module: this,
           applies: ['object', 'context'], callback: 'reset_table_stats',
           category: 'Reset', priority: 4, label: gettext('Reset Statistics'),
-          icon: 'fa fa-bar-chart', enable : 'canCreate'
+          icon: 'fa fa-bar-chart', enable : 'canCreate',
         },{
           name: 'detach_partition', node: 'partition', module: this,
           applies: ['object', 'context'], callback: 'detach_partition',
           priority: 2, label: gettext('Detach Partition'),
-          icon: 'fa fa-remove'
-        }
+          icon: 'fa fa-remove',
+        },
         ]);
       },
       getTreeNodeHierarchy: function(i) {
         var idx = 0,
-            res = {},
-            t = pgBrowser.tree;
+          res = {},
+          t = pgBrowser.tree;
 
         do {
           var d = t.itemData(i);
@@ -110,9 +112,9 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
       },
       generate_url: function(item, type, d, with_id, info) {
         if (_.indexOf([
-            'stats', 'statistics', 'dependency', 'dependent', 'reset',
-            'get_relations', 'get_oftype', 'get_attach_tables'
-            ], type) == -1) {
+          'stats', 'statistics', 'dependency', 'dependent', 'reset',
+          'get_relations', 'get_oftype', 'get_attach_tables',
+        ], type) == -1) {
           return pgBrowser.Node.generate_url.apply(this, arguments);
         }
 
@@ -136,22 +138,22 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
       callbacks: {
         /* Enable trigger(s) on table */
         enable_triggers_on_table: function(args) {
-            var params = {'enable': true };
-            this.callbacks.set_triggers.apply(this, [args, params]);
+          var params = {'enable': true };
+          this.callbacks.set_triggers.apply(this, [args, params]);
         },
         /* Disable trigger(s) on table */
         disable_triggers_on_table: function(args) {
-            var params = {'enable': false };
-            this.callbacks.set_triggers.apply(this, [args, params]);
+          var params = {'enable': false };
+          this.callbacks.set_triggers.apply(this, [args, params]);
         },
         set_triggers: function(args, params) {
           // This function will send request to enable or
           // disable triggers on table level
           var input = args || {},
-              obj = this,
-              t = pgBrowser.tree,
-              i = input.item || t.selected(),
-              d = i && i.length == 1 ? t.itemData(i) : undefined;
+            obj = this,
+            t = pgBrowser.tree,
+            i = input.item || t.selected(),
+            d = i && i.length == 1 ? t.itemData(i) : undefined;
 
           if (!d)
             return false;
@@ -160,10 +162,10 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             url: obj.generate_url(i, 'set_trigger' , d, true),
             type:'PUT',
             data: params,
-            dataType: "json",
+            dataType: 'json',
             success: function(res) {
               if (res.success == 1) {
-                alertify.success(res.info);
+                Alertify.success(res.info);
                 t.unload(i);
                 t.setInode(i);
                 t.deselect(i);
@@ -172,74 +174,78 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
                 }, 10);
               }
             },
-            error: function(xhr, status, error) {
+            error: function(xhr) {
               try {
                 var err = $.parseJSON(xhr.responseText);
                 if (err.success == 0) {
-                  alertify.error(err.errormsg);
+                  Alertify.error(err.errormsg);
                 }
-              } catch (e) {}
+              } catch (e) {
+                console.warn(e.stack || e);
+              }
               t.unload(i);
-            }
+            },
           });
         },
         /* Truncate table */
         truncate_table: function(args) {
-            var params = {'cascade': false };
-            this.callbacks.truncate.apply(this, [args, params]);
+          var params = {'cascade': false };
+          this.callbacks.truncate.apply(this, [args, params]);
         },
         /* Truncate table with cascade */
         truncate_table_cascade: function(args) {
-            var params = {'cascade': true };
-            this.callbacks.truncate.apply(this, [args, params]);
+          var params = {'cascade': true };
+          this.callbacks.truncate.apply(this, [args, params]);
         },
         truncate: function(args, params) {
           var input = args || {},
-              obj = this,
-              t = pgBrowser.tree,
-              i = input.item || t.selected(),
-              d = i && i.length == 1 ? t.itemData(i) : undefined;
+            obj = this,
+            t = pgBrowser.tree,
+            i = input.item || t.selected(),
+            d = i && i.length == 1 ? t.itemData(i) : undefined;
 
           if (!d)
             return false;
 
-          alertify.confirm(
+          Alertify.confirm(
             gettext('Truncate Table'),
             S(gettext('Are you sure you want to truncate table %s?')).sprintf(d.label).value(),
             function (e) {
-            if (e) {
-              var data = d;
-              $.ajax({
-                url: obj.generate_url(i, 'truncate' , d, true),
-                type:'PUT',
-                data: params,
-                dataType: "json",
-                success: function(res) {
-                  if (res.success == 1) {
-                    alertify.success(res.info);
-                    t.removeIcon(i);
-                    data.icon = 'icon-partition';
-                    t.addIcon(i, {icon: data.icon});
-                    t.unload(i);
-                    t.setInode(i);
-                    t.deselect(i);
+              if (e) {
+                var data = d;
+                $.ajax({
+                  url: obj.generate_url(i, 'truncate' , d, true),
+                  type:'PUT',
+                  data: params,
+                  dataType: 'json',
+                  success: function(res) {
+                    if (res.success == 1) {
+                      Alertify.success(res.info);
+                      t.removeIcon(i);
+                      data.icon = 'icon-partition';
+                      t.addIcon(i, {icon: data.icon});
+                      t.unload(i);
+                      t.setInode(i);
+                      t.deselect(i);
                     // Fetch updated data from server
-                    setTimeout(function() {
-                      t.select(i);
-                    }, 10);
-                  }
-                },
-                error: function(xhr, status, error) {
-                  try {
-                    var err = $.parseJSON(xhr.responseText);
-                    if (err.success == 0) {
-                      alertify.error(err.errormsg);
+                      setTimeout(function() {
+                        t.select(i);
+                      }, 10);
                     }
-                  } catch (e) {}
-                  t.unload(i);
-                }
-              });
-            }},
+                  },
+                  error: function(xhr) {
+                    try {
+                      var err = $.parseJSON(xhr.responseText);
+                      if (err.success == 0) {
+                        Alertify.error(err.errormsg);
+                      }
+                    } catch (e) {
+                      console.warn(e.stack || e);
+                    }
+                    t.unload(i);
+                  },
+                });
+              }},
             function() {}
           );
         },
@@ -253,7 +259,7 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
           if (!d)
             return false;
 
-          alertify.confirm(
+          Alertify.confirm(
             gettext('Reset statistics'),
             S(gettext('Are you sure you want to reset the statistics for table "%s"?')).sprintf(d._label).value(),
             function (e) {
@@ -264,7 +270,7 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
                   type:'DELETE',
                   success: function(res) {
                     if (res.success == 1) {
-                      alertify.success(res.info);
+                      Alertify.success(res.info);
                       t.removeIcon(i);
                       data.icon = 'icon-partition';
                       t.addIcon(i, {icon: data.icon});
@@ -277,15 +283,17 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
                       }, 10);
                     }
                   },
-                  error: function(xhr, status, error) {
+                  error: function(xhr) {
                     try {
                       var err = $.parseJSON(xhr.responseText);
                       if (err.success == 0) {
-                        alertify.error(err.errormsg);
+                        Alertify.error(err.errormsg);
                       }
-                    } catch (e) {}
+                    } catch (e) {
+                      console.warn(e.stack || e);
+                    }
                     t.unload(i);
-                  }
+                  },
                 });
               }
             },
@@ -302,18 +310,17 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
           if (!d)
             return false;
 
-          alertify.confirm(
+          Alertify.confirm(
             gettext('Detach Partition'),
             S(gettext('Are you sure you want to detach the partition %s?')).sprintf(d._label).value(),
             function (e) {
               if (e) {
-                var data = d;
                 $.ajax({
                   url: obj.generate_url(i, 'detach' , d, true),
                   type:'PUT',
                   success: function(res) {
                     if (res.success == 1) {
-                      alertify.success(res.info);
+                      Alertify.success(res.info);
                       var n = t.next(i);
                       if (!n || !n.length) {
                         n = t.prev(i);
@@ -328,20 +335,22 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
                       }
                     }
                   },
-                  error: function(xhr, status, error) {
+                  error: function(xhr) {
                     try {
                       var err = $.parseJSON(xhr.responseText);
                       if (err.success == 0) {
-                        alertify.error(err.errormsg);
+                        Alertify.error(err.errormsg);
                       }
-                    } catch (e) {}
-                  }
+                    } catch (e) {
+                      console.warn(e.stack || e);
+                    }
+                  },
                 });
               }
             },
             function() {}
           );
-       }
+        },
       },
       model: pgBrowser.Node.Model.extend({
         defaults: {
@@ -374,18 +383,18 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
           partitions: [],
           partition_type: 'range',
           is_partitioned: false,
-          partition_value: undefined
+          partition_value: undefined,
         },
         // Default values!
         initialize: function(attrs, args) {
-          var self = this;
-
           if (_.size(attrs) === 0) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user,
-                schemaInfo = args.node_info.schema;
+            var userInfo = pgBrowser.serverInfo[
+              args.node_info.server._id
+            ].user,
+              schemaInfo = args.node_info.schema;
 
             this.set({
-              'relowner': userInfo.name, 'schema': schemaInfo._label
+              'relowner': userInfo.name, 'schema': schemaInfo._label,
             }, {silent: true});
           }
           pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
@@ -393,13 +402,13 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
         },
         schema: [{
           id: 'name', label: gettext('Name'), type: 'text',
-          mode: ['properties', 'create', 'edit'], disabled: 'inSchema'
+          mode: ['properties', 'create', 'edit'], disabled: 'inSchema',
         },{
-          id: 'oid', label: gettext('OID'), type: 'text', mode: ['properties']
+          id: 'oid', label: gettext('OID'), type: 'text', mode: ['properties'],
         },{
           id: 'relowner', label: gettext('Owner'), type: 'text', node: 'role',
           mode: ['properties', 'create', 'edit'], select2: {allowClear: false},
-          disabled: 'inSchema', control: 'node-list-by-name'
+          disabled: 'inSchema', control: 'node-list-by-name',
         },{
           id: 'schema', label: gettext('Schema'), type: 'text', node: 'schema',
           control: 'node-list-by-name', mode: ['create', 'edit', 'properties'],
@@ -410,15 +419,15 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
               return false;
             }
             return true;
-          }, cache_node: 'database', cache_level: 'database'
+          }, cache_node: 'database', cache_level: 'database',
         },{
           id: 'spcname', label: gettext('Tablespace'), node: 'tablespace',
           type: 'text', control: 'node-list-by-name', disabled: 'inSchema',
           mode: ['properties', 'create', 'edit'],
           filter: function(d) {
             // If tablespace name is not "pg_global" then we need to exclude them
-            return (!(d && d.label.match(/pg_global/)))
-          }
+            return (!(d && d.label.match(/pg_global/)));
+          },
         },{
           id: 'partition', type: 'group', label: gettext('Partition'),
           mode: ['edit', 'create'], min_version: 100000,
@@ -427,7 +436,7 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             if (m.isNew() || m.get('is_partitioned'))
               return true;
             return false;
-          }
+          },
         },{
           id: 'is_partitioned', label:gettext('Partitioned Table?'), cell: 'switch',
           type: 'switch', mode: ['properties', 'create', 'edit'],
@@ -443,24 +452,22 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             if (!m.isNew())
               return true;
             return false;
-          }
+          },
         },{
           id: 'description', label: gettext('Comment'), type: 'multiline',
-          mode: ['properties', 'create', 'edit'], disabled: 'inSchema'
+          mode: ['properties', 'create', 'edit'], disabled: 'inSchema',
         },
         {
           id: 'partition_value', label:gettext('Partition Scheme'),
-          type: 'text', visible: false
+          type: 'text', visible: false,
         },{
           id: 'coll_inherits', label: gettext('Inherited from table(s)'),
-          type: 'text', group: gettext('Advanced'), mode: ['properties']
+          type: 'text', group: gettext('Advanced'), mode: ['properties'],
         },{
           id: 'Columns', type: 'group', label: gettext('Columns'),
           mode: ['edit', 'create'], min_version: 100000,
-          visible: function(m) {
-            // Always hide in case of partition table.
-            return false;
-          }
+          // Always hide in case of partition table.
+          visible: function() { return false; },
         },{
           // Tab control for columns
           id: 'columns', label: gettext('Columns'), type: 'collection',
@@ -499,12 +506,12 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
             initialize: function() {
               Backform.UniqueColCollectionControl.prototype.initialize.apply(this, arguments);
               var self = this,
-                  collection = self.model.get(self.field.get('name'));
+                collection = self.model.get(self.field.get('name'));
 
-              collection.on("change:is_primary_key", function(m) {
+              collection.on('change:is_primary_key', function(m) {
                 var primary_key_coll = self.model.get('primary_key'),
-                    column_name = m.get('name'),
-                    primary_key;
+                  column_name = m.get('name'),
+                  primary_key, primary_key_column_coll;
 
                 if(m.get('is_primary_key')) {
                 // Add column to primary key.
@@ -512,7 +519,7 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
                     primary_key = new (primary_key_coll.model)({}, {
                       top: self.model,
                       collection: primary_key_coll,
-                      handler: primary_key_coll
+                      handler: primary_key_coll,
                     });
                     primary_key_coll.add(primary_key);
                   } else {
@@ -520,39 +527,43 @@ function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform, alertify) {
                   }
                   // Do not alter existing primary key columns.
                   if (_.isUndefined(primary_key.get('oid'))) {
-                    var primary_key_column_coll = primary_key.get('columns'),
-                      primary_key_column_exist = primary_key_column_coll.where({column:column_name});
+                    primary_key_column_coll = primary_key.get('columns');
+                    var  primary_key_column_exist = primary_key_column_coll.where({column:column_name});
 
                     if (primary_key_column_exist.length == 0) {
                       var primary_key_column = new (primary_key_column_coll.model)(
                           {column: column_name}, { silent: true,
-                          top: self.model,
-                          collection: primary_key_coll,
-                          handler: primary_key_coll
-                        });
+                            top: self.model,
+                            collection: primary_key_coll,
+                            handler: primary_key_coll,
+                          });
 
                       primary_key_column_coll.add(primary_key_column);
                     }
 
-                    primary_key_column_coll.trigger('pgadmin:multicolumn:updated', primary_key_column_coll);
+                    primary_key_column_coll.trigger(
+                      'pgadmin:multicolumn:updated', primary_key_column_coll
+                    );
                   }
 
                 } else {
                 // remove column from primary key.
                   if (primary_key_coll.length > 0) {
-                    var primary_key = primary_key_coll.first();
+                    primary_key = primary_key_coll.first();
                     // Do not alter existing primary key columns.
                     if (!_.isUndefined(primary_key.get('oid'))) {
                       return;
                     }
 
-                    var  primary_key_column_coll = primary_key.get('columns'),
-                        removedCols = primary_key_column_coll.where({column:column_name});
+                    primary_key_column_coll = primary_key.get('columns');
+                    var removedCols = primary_key_column_coll.where({
+                      column: column_name,
+                    });
                     if (removedCols.length > 0) {
                       primary_key_column_coll.remove(removedCols);
                       _.each(removedCols, function(m) {
                         m.destroy();
-                      })
+                      });
                       if (primary_key_column_coll.length == 0) {
                         setTimeout(function () {
                           // There will be only on primary key so remove the first one.
